<h2>高级评论列表</h2>
<?php $this->widget('admin.widgets.TableCover');?>
<?php $this->renderPartial('_search');?>
<?php
$this->widget('zii.widgets.grid.CGridView', array(
    'dataProvider'=>$dataProvider,
    //'ajaxUpdate' => false,
    'itemsCssClass' => 'widefat post',
    'summaryText'=>'显示{start}-{end}条 总共{count}条',
    'columns' => array(
        'id',
        array(
            'name' => 'postid',
            'header' => '帖子ID',
        ),
        array(
            'name' => 'subject',
            'type' => 'raw',
            'value' => 'CHtml::link($data->subject,array("/admin/bookpostreply/view","id"=>$data->id),array("target"=>"_blank"))',
        ),
        'uid',
        'username',
        array(
            'name' => 'createdate',
            'value' => 'date("Y-m-d H:i:s", $data->createdate)',
        ),
        array(
            'header' => '小说名',
            'name' => 'bookname',
            'value' => '$data->book->bookname',
        ),
        array(
            'header' => '小说ID',
            'name' => 'bookid',
        ),
        array(
            
            'name' => 'lastreply',
            'value' => '(!empty($data->lastreply) ? date("Y-m-d H:i:s", $data->lastreply) : "")',
        ),
        'price',
        'replycount',
        array(
            'header' => '操作',
            'template' => '{delete} {punish}',
            'class' => 'admin.components.buttoncolumn.BookReplyList',
        )
    ),
));